com.fasterxml.jackson.databind.exc

## Class ValueInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.ValueInstantiationException

- All Implemented Interfaces:
    Serializable

      public class ValueInstantiationException
      extends JsonMappingException

  Exception type used for generic failures during processing by `ValueInstantiator`: commonly used to wrap exceptions thrown by constructor or factory method.

  Note that this type is sibling of `MismatchedInputException` and `InvalidDefinitionException` since it is not clear if problem is with input, or type definition (or possibly neither). It is recommended that if either specific input, or type definition problem is known, a more accurate exception is used instead.

  Since:
    2.10
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JavaType` | `_type`

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValueInstantiationException(JsonParser p, String msg, JavaType type)`
    `protected` | `ValueInstantiationException(JsonParser p, String msg, JavaType type, Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValueInstantiationException` | `from(JsonParser p, String msg, JavaType type)`
    `static ValueInstantiationException` | `from(JsonParser p, String msg, JavaType type, Throwable cause)`
    `JavaType` | `getType()` Accessor for type fully resolved type that had the problem; this should always known and available, never `null`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _type

          protected final JavaType _type

  - ### Constructor Detail

    - #### ValueInstantiationException

          protected ValueInstantiationException(JsonParser p,
                                                String msg,
                                                JavaType type,
                                                Throwable cause)

    - #### ValueInstantiationException

          protected ValueInstantiationException(JsonParser p,
                                                String msg,
                                                JavaType type)

  - ### Method Detail

    - #### from

          public static ValueInstantiationException from(JsonParser p,
                                                         String msg,
                                                         JavaType type)

    - #### from

          public static ValueInstantiationException from(JsonParser p,
                                                         String msg,
                                                         JavaType type,
                                                         Throwable cause)

    - #### getType

          public JavaType getType()

      Accessor for type fully resolved type that had the problem; this should always known and available, never `null`

Copyright © 2008–2019 FasterXML. All rights reserved.